package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.dto.LogSummaryDto;
import com.junmp.jyzb.api.bean.query.InAndOutRecordReq.CabinetLogsRecordReq;
import com.junmp.jyzb.api.bean.query.InAndOutRecordReq.OutInLogsReq;
import com.junmp.jyzb.api.bean.query.LogSummaryReq;
import com.junmp.jyzb.entity.LogSummary;
import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.v2.db.api.page.PageResult;

/**
* @author lxh专属坐骑
* @description 针对表【base_log_summary】的数据库操作Service
* @createDate 2023-10-13 08:29:36
*/
public interface LogSummaryService extends IService<LogSummary> {

    PageResult<LogSummary> ShowInOutRecordsByItems(LogSummaryReq req);

    //本地主机返回出入库结果
    Boolean processInventoryRecords(OutInLogsReq req);

    //单警柜返回出入库结果
    Boolean processOutInRecords(CabinetLogsRecordReq req);

    PageResult<LogSummary> ShowInOutRecords(LogSummaryReq req);

    LogSummary ShowInOutRecordsByItemsCount(LogSummaryReq req);

    PageResult<LogSummaryDto> RecordSumByOrderId(LogSummaryReq req);

    LogSummaryDto RecordSumByOrderIdCount(LogSummaryReq req);
}
